/*
 * @(#)src/classes/sov/com/sun/image/codec/jpeg/ImageFormatException.java, jpeg, as131, 20030613 1.6.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 * Copyright 1995-2000 Sun Microsystems, Inc. All Rights Reserved.
 * ===========================================================================
 */
 
/*
 * @(#)ImageFormatException.java	1.3 98/06/09
 *
 */

/* ********************************************************************
 **********************************************************************
 **********************************************************************
 *** COPYRIGHT (c) Eastman Kodak Company, 1997                      ***
 *** As  an unpublished  work pursuant to Title 17 of the United    ***
 *** States Code.  All rights reserved.                             ***
 **********************************************************************
 **********************************************************************
 **********************************************************************/

package com.sun.image.codec.jpeg;

/**
 * Signals that an Image Format exception of some sort has occurred. 
 * <p>
 * Note that the classes in the com.sun.image.codec.jpeg package are not
 * part of the core Java APIs.  They are a part of Sun's JDK and JRE
 * distributions.  Although other licensees may choose to distribute these
 * classes, developers cannot depend on their availability in non-Sun
 * implementations.  We expect that equivalent functionality will eventually
 * be available in a core API or standard extension.
 * <p>
 *
 * @author  Tom Sausner
 * @see     JPEGImageEncoder
 * @see     JPEGImageDecoder
 * @since   JDK1.2
 */
public
class ImageFormatException extends RuntimeException {
    /**
     * Constructs an <code>ImageFormatException</code> with no detail message. 
     */
    public ImageFormatException() {
	super();
    }

    /**
     * Constructs an <code>ImageFormatException</code> with the specified
     * detailed message. 
     *
     * @param   s   the message.
     */
    public ImageFormatException(String s) {
	super(s);
    }
}
